tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Filip Hanik - Dev Lists <devli...@hanik.com>
Subject Re: Native 1.1.12 release
Date Tue, 15 Jan 2008 00:07:38 GMT
Mladen Turk wrote:
> Filip Hanik - Dev Lists wrote:
>> you're other option is to just vote on tcnative separately, and that 
>> way utilize all the ASF mirrors and release sites
>>
>
> But that is exactly what we should *not* do.
> Tomcat comes with it's native, so if you upgrade the
> Tomcat, upgrade its native as well (if changed)
except the fact that you could upgrade 5.5.25 (existing tomcat release) 
with the tcnative 1.1.12 (from the new tomcat release)
so if it is not a product, how come it's versioned and tagged 
separately, and not just tagged with Tomcat's tag like the jsp engine or 
the nio connector.
>
> Like said, all that can be easy done by simply
> extending requirements for building Tomcat release.
> One will need Python and a set of GNU build tools,
> and we can easily forget the native helper tarballs.
>
> It would mean that you will need *nix for building
> the Tomcat release, but that's fine with me.
currently we require Win as the build environment (I think it had to do 
with NSIS installer or something like that)
the tcnative, is a source tarball, right? so could we make it buildable 
with ANT?
>
> If the Tomcat RM's are fine with that, it's a very
> simple task.
I'd be ok with putting it as part of the TC build itself if we don't 
want it as a separate product.

Filip
>
>
> Regards,
> Mladen
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: dev-help@tomcat.apache.org
>
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message